2000-12-07 05:12  Brian Jones <brian@hungry.com>

	* include/runtime.h, lib/libnative/java.lang/throwable.c,
	lib/libruntime/exceptions.c, lib/libruntime/init.c: *
	include/runtime.h: HVM_ExceptionPrintBacktrace() renamed
	HVM_ExceptionPrintStackTrace; stream argument added.  *
	lib/libnative/java.lang/throwable.c: printStackTrace0() calls
	HVM_ExceptionPrintStackTrace * lib/libruntime/exceptions.c:
	HVM_ExceptionPrintBacktrace() renamed HVM_ExceptionPrintStackTrace;
	stream argument used if not NULL * lib/libruntime/init.c:
	HVM_VMInitialize() renamed call to HVM_ExceptionPrintBacktrace()

2000-12-05 17:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/exceptions.c: Remove fluff.

2000-11-12 23:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* README: Updated link to TYA home page.

2000-10-29 05:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* rpm/: japhar.rpm-files, japhar.rpm-spec: A long time ago, I wrote
	an RPM spec.

2000-10-28 01:55  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/liboji/Makefile.am: Obs.	Remember to include file
	japharSecureEnv.h in distribution.

2000-09-17 07:08  www

	* www/src/index.src: Forgot one date.

2000-09-17 05:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* www/src/: index.src, news.src: Updated to reflect 0.09 as the
	latest release.

2000-09-17 05:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: New release 0.09.

2000-09-17 04:32  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS, ltconfig, ltmain.sh, libltdl/COPYING.LIB,
	libltdl/Makefile.am, libltdl/README, libltdl/acinclude.m4,
	libltdl/ltdl.c, libltdl/ltdl.h: Upgraded to libtool version 1.3.5.

2000-09-17 03:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* config.guess, config.sub, lib/libffi/config.guess,
	lib/libffi/config.sub: Upgraded to latest version from
	<URL:ftp://ftp.gnu.org/pub/gnu/config/>.

2000-09-16 04:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/common.c: Bugfix in
	jcolor_to_pixel().  Fill in blue and green values, not red value,
	in the lower blue and green color bits.

2000-08-09 00:06  Christoph Toshok <toshok@hungry.com>

	* include/runtimeint.h: need to nest the sportsmodel object
	structure at the beginning of our structure to allow gc-able
	allocations.

2000-08-09 00:04  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: icky icky, but oh well.	store the
	SMObjectClass for instances in the ClazzFile struct.

2000-08-08 23:16  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/gc.c: added lots of sportsmodel stuff.  don't go
	there, doesn't work yet.

2000-08-08 23:13  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: add sportsmodel wrappers for
	getting/setting native_state.

2000-08-08 23:12  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/init.c: no need to #include sm.h here.

2000-08-08 23:11  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/field.c: get sportsmodel write barrier stuff
	working sorta.	don't use WITH_SPORTSMODEL, it's currently broken.

2000-08-08 23:00  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: Makefile.in, aclocal.m4, configure, configure.in,
	include/Makefile.in, src/Makefile.in: add a DEFAULT_PREFIX for our
	version of libffi to place it where all the other japhar libs go.

2000-08-06 05:07  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Simplify alignment calculation.  Patch
	from Pete Zaitcev.

2000-08-05 03:32  Christoph Toshok <toshok@hungry.com>

	* include/runtimeint.h, lib/libruntime/gc.c,
	lib/libruntime/objects.c: add calls for gc handling of allocation
	and cloning of objects.

2000-08-05 03:06  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: array-class.c, clparse.c: switch over to HVM_
	allocation routines instead of nspr ones.

2000-08-05 03:04  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/gc.c: default to 128M as the max heap size, and in
	the sportsmodel case, don't use SM_Strdup, since it only seems to
	work if the source pointer is under sportsmodel control.  pretty
	limitting.

2000-08-05 02:18  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: no need to undef PACKAGE and VERSION before
	ffi.h inclusion anymore.

2000-08-05 02:17  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/fficonfig.h.in: fix the longstanding problem with
	libffi - it pollutes the #define namespace with its own PACKAGE and
	VERSION

2000-08-05 02:02  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: objects.c, clparse.c: track change to HVM_Calloc
	api.

2000-08-05 01:54  Christoph Toshok <toshok@hungry.com>

	* include/runtime.h, lib/libruntime/alloc.c, lib/libruntime/gc.c:
	remove the HungryEnv* first parameter from the
	HVM_{*alloc,free,strdup} calls, since none of the gc's i've looked
	at support multiple gc's in the same process.  also, make the
	jmalloc/jcalloc/etc. calls use the HVM_* ones.

2000-08-04 21:09  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: clparse.c, objects.c: use HVM_Calloc instead of
	the #ifdefing.

2000-08-04 21:05  Christoph Toshok <toshok@hungry.com>

	* include/runtime.h, lib/libruntime/gc.c: add gc specific
	allocation routines, and add #if branches for the boehm gc (mostly
	unimplemented.).  also, in runtime.h, rename translate_str to
	japhar_translate_str.

2000-08-04 20:49  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: add an exit hook so we can destroy the
	java vm.

2000-08-04 01:57  Christoph Toshok <toshok@hungry.com>

	* include/runtime.h: collapse all this redundant #define mess down.

2000-06-26 02:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: interpfunc.c, method.c, nativeglue.c, objects.c:
	Get Japhar working with Classpath again.  Now checkes lower array
	bounds, passes the correct stack frame when a native method throws
	an exception and prints method trace on '<clinit>' methods as well.
	 Patch from John Keiser.

2000-06-19 10:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/: runtime.h, runtimeint.h: Avoid compile warnings and
	convert tabs to spaces.

2000-06-03 13:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* README: Correct URL to Kaffe and Classpath.

2000-06-03 12:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* libltdl/ltdl.c: Untabify.

2000-06-03 11:15  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/init.c: Do not crash if the java classes are
	missing when calling HVM_VMInitialize().

2000-06-03 09:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Detect NSPR library version number (3 or 4) and
	look for the correct library.  Patch from Ian D. Stewart.

2000-05-25 12:49  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Target ChangeLog depends on ChangeLog.usermap.

2000-05-25 12:48  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c: Make sure HVM_DllExit() do not crash if
	called before HVM_dllInit().  Patch from Pete Zaitcev.

2000-01-07 02:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Updated changelog autogeneraton target.	Generated
	complete log for 1997, 1998 and 1999.  Current log runs from
	1999-12-31, as cvs did not understand 2000-01-01 as a date.

2000-01-03 09:04  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMConsole.cpp, japharJVMPlugin.cpp,
	japharJVMPlugin.h, japharJVMPluginInstance.cpp,
	japharJVMPluginInstance.h, japharPlugin.cpp, japharSecureEnv.cpp,
	classes/Makefile.am, classes/appletcontext.cpp: get this shite
	working

2000-01-03 03:08  Christoph Toshok <toshok@hungry.com>

	* configure.in: use the mozilla-config program

2000-01-03 03:07  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/JapharClassLoader.java: debug spew.

2000-01-03 03:06  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: Makefile.am, classes/Makefile.am: build foo

2000-01-03 03:03  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPluginInstance.cpp: add debug printfs

2000-01-03 03:02  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPlugin.cpp: get the CLASSPATH env variable
	and the system classpath and concatenate them (just as the japhar
	program does.)

2000-01-03 03:01  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: more debug spew

2000-01-03 02:58  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/init.c: fix log typo.

2000-01-03 02:55  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: untabify and indented.

2000-01-02 04:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: heh, don't check in untested code
	when you have the flu.

2000-01-02 04:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: don't just cast away const-ness

2000-01-02 04:06  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: PR => PL

2000-01-02 03:58  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPlugin.cpp: implement
	japharJVMPlugin::{Add,Remove}FromClassPath

2000-01-02 03:54  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: implement HVM_ClasspathRemovePath

2000-01-02 03:04  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c, include/runtime.h,
	lib/libnative/java.util.zip/inflater.c, lib/libruntime/arrays.c,
	lib/libruntime/clparse.c, lib/libruntime/objects.c: latest patch
	from Jochen Hoenicke <jochen@gnu.org>.	thanks muchly, Jochen :)

2000-01-02 02:07  Christoph Toshok <toshok@hungry.com>

	* NEWS: put in blurb about exceptions

2000-01-02 02:05  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: fix currentTimeMillis since the
	move to NSPR, and move the propertySpec spec here.

2000-01-02 02:04  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: object.c, thread.c: use HVM_Monitor
	calls.

2000-01-02 02:02  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: exceptions.c, interpfunc.c, interploop.c: rework
	the exception machinery so we don't check whether an exception was
	thrown after every opcode.  also, use the monitor calls in
	monitorenter and monitorexit

2000-01-02 02:00  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: destory the monitor and set it to null in
	DllExit

2000-01-02 01:59  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jni.h, include/jniint.h, src/Makefile.am,
	src/jniarray.c, src/jniclass.c, src/jnifield.c, src/jniinvoc.c,
	src/jnimeth.c, src/jnimon.c, src/jninativ.c, src/jniobj.c,
	src/jnirefl.c, src/jnisfld.c, src/jnismeth.c, src/jnistr.c,
	src/jnithrow.c, src/jnivm.c, src/jnivtbl.c: don't call
	HVM_ThreadGetEnv everwhere, since it incurs synchronization
	overhead.  so, we store the HungryEnv* in one of the _sun fields in
	JNIEnv.  also, use the added monitor calls.

2000-01-02 01:40  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: get rid of the metering in
	HVM_ObjectNew

2000-01-02 01:37  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/thread.c: use HVM_Monitor* calls

2000-01-02 01:36  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/method.c: use the HVM_Monitor* calls

2000-01-02 01:36  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/init.c: call DllExit when we shutdown the vm

2000-01-02 01:34  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: Makefile.am, monitors.c: add monitor api
	implementation.

2000-01-02 01:32  Christoph Toshok <toshok@hungry.com>

	* include/runtimeint.h: remove the unused propertySpec struct.

2000-01-02 01:32  Christoph Toshok <toshok@hungry.com>

	* include/runtime.h: add some more #defines for java class names,
	and add api calls for monitors.

2000-01-01 02:09  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.io/Makefile.am,
	java.lang.reflect/Makefile.am, java.lang/Makefile.am,
	java.net/Makefile.am, java.security/Makefile.am,
	java.util.zip/Makefile.am, java.util/Makefile.am,
	sun.awt.motif/Makefile.am, sun.debug.agent/Makefile.am,
	sysresource/Makefile.am: add stub files to all Makefile.am's
